Grasshopper

algorithmic modeling for Rhino

Hi All,

I'm a bit held up at the moment in C# trying to loft two circles together.

I am using the Brep.CreateFromLoft() Function and what I have is as follows:

//Input from GH of two circles as a List<Circle> listcirc

Brep[] myBrep = Rhino.Geometry.Brep.CreateFromLoft(listcirc,Point3d.Unset, Point3d.Unset, 0, False);

A = myBrep

An error comes up saying the name 'False' does not exist in the current context.

Any help would be greatly appreciated.

Thx

Views: 2017

Replies to This Discussion

Hi Madu,

CreateFromLoft needs as first argument: a list, an array or any IEnumerable set of Curves.

Now, a List<Circle> is not fulfilling this requirement and therefore achieving its mission because Circle is not a Curve. In RhinoCommon, only types that end with Curve are Curves.


This is the complete list (you can see it at the end of the Curve page):


Now, luckily, there is a simple way to transform a Circle in a ArcCurve: just construct a new ArcCurve from a Circle.

A sample is attached.

I hope this helps,

- Giulio
_______________
giulio@mcneel.com

Attachments:

Hi Giulio,

Thank you for the info, works very well.

If you don't mind I have one more question regarding C# coding.

I'd like to have a way to covert lower values into higher ones in C#.

In the image below you can see i achieved this through a bezier graph.

Is this feasible using a Math. function of some sort?

Thanks in advance !

RSS

About

Translate

Search

Photos

  • Add Photos
  • View All

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service